### Method

# Gegl Randomint_range

#### Declaration [src]

    gint32
    gegl_random_int_range (
      const GeglRandom* rand,
      gint x,
      gint y,
      gint z,
      gint n,
      gint min,
      gint max
    )

#### Description [src]

Return a random integer point number in the range specified, for the given x,y coordinates and GeglRandom provided, if multiple different numbers are needed pass in incrementing n’s.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`z`

  Type: `gint`

  Z coordinate (mipmap level).

`n`

  Type: `gint`

  Number no (each x,y coordinate provides its own sequence of numbers.

`min`

  Type: `gint`

  Minimum value.

`max`

  Type: `gint`

  Maximum value+1.

#### Return value

Type: `gint32`

No description available.